diff --git a/src/store/modules/analysis.js b/src/store/modules/analysis.js
new file mode 100644
index 0000000..81fdfb9
--- /dev/null
+++ b/src/store/modules/analysis.js
@@ -0,0 +1,376 @@
+import * as actionTypes from '../actionTypes'
+import * as getterNames from '../getterNames'
+import * as mutationTypes from '../mutationsTypes'
+
+const state = {
+  analysis: [
+    {
+      'analyzer_id': 1,
+      'id': 1,
+      'raw': {
+        'customfields': null,
+        'metadata': {
+          'file_': null,
+          'generator': {
+            'name': 'cppcheck',
+            'version': '1.80'
+          },
+          'stats': null,
+          'sut': null
+        },
+        'results': [
+          {
+            'customfields': null,
+            'cwe': null,
+            'location': {
+              'file': {
+                'abspath': null,
+                'givenpath': 'source/active_children.c',
+                'hash_': null
+              },
+              'function': null,
+              'point': {
+                'column': 0,
+                'line': 42
+              },
+              'range_': null
+            },
+            'message': {
+              'text': 'Unused variable: stdin_descriptor'
+            },
+            'notes': null,
+            'severity': 'style',
+            'testid': 'unusedVariable',
+            'trace': null,
+            'type': 'Issue'
+          },
+          {
+            'customfields': null,
+            'cwe': null,
+            'location': {
+              'file': {
+                'abspath': null,
+                'givenpath': 'source/father.c',
+                'hash_': null
+              },
+              'function': null,
+              'point': {
+                'column': 0,
+                'line': 43
+              },
+              'range_': null
+            },
+            'message': {
+              'text': 'The scope of the variable \'times\' can be reduced.'
+            },
+            'notes': {
+              'text': `The scope of the variable 'times' can be reduced. Warning: Be careful when fixing this message, especially when there are inner loops. Here is an example where cppcheck will write that the scope for 'i' can be reduced:\\012void f(int x)\\012{\\012    int i = 0;\\012    if (x) {\\012        // it's safe to move 'int i = 0;' here\\012        for (int n = 0; n < 10; ++n) {\\012            // it is possible but not safe to move 'int i = 0;' here\\012            do_something(&i);\\012        }\\012    }\\012}\\012When you see this message it is always safe to reduce the variable scope 1 level.`
+            },
+            'severity': 'style',
+            'testid': 'variableScope',
+            'trace': null,
+            'type': 'Issue'
+          },
+          {
+            'customfields': null,
+            'cwe': null,
+            'location': {
+              'file': {
+                'abspath': null,
+                'givenpath': 'source/father.c',
+                'hash_': null
+              },
+              'function': null,
+              'point': {
+                'column': 0,
+                'line': 45
+              },
+              'range_': null
+            },
+            'message': {
+              'text': `The scope of the variable 'complete_msg_sleepy' can be reduced.`
+            },
+            'notes': {
+              'text': `The scope of the variable 'complete_msg_sleepy' can be reduced. Warning: Be careful when fixing this message, especially when there are inner loops. Here is an example where cppcheck will write that the scope for 'i' can be reduced:\\012void f(int x)\\012{\\012    int i = 0;\\012    if (x) {\\012        // it's safe to move 'int i = 0;' here\\012        for (int n = 0; n < 10; ++n) {\\012            // it is possible but not safe to move 'int i = 0;' here\\012            do_something(&i);\\012        }\\012    }\\012}\\012When you see this message it is always safe to reduce the variable scope 1 level.`
+            },
+            'severity': 'style',
+            'testid': 'variableScope',
+            'trace': null,
+            'type': 'Issue'
+          },
+          {
+            'customfields': null,
+            'cwe': null,
+            'location': {
+              'file': {
+                'abspath': null,
+                'givenpath': 'source/father.c',
+                'hash_': null
+              },
+              'function': null,
+              'point': {
+                'column': 0,
+                'line': 46
+              },
+              'range_': null
+            },
+            'message': {
+              'text': `The scope of the variable 'complete_msg_active' can be reduced.`
+            },
+            'notes': {
+              'text': `The scope of the variable 'complete_msg_active' can be reduced. Warning: Be careful when fixing this message, especially when there are inner loops. Here is an example where cppcheck will write that the scope for 'i' can be reduced:\\012void f(int x)\\012{\\012    int i = 0;\\012    if (x) {\\012        // it's safe to move 'int i = 0;' here\\012        for (int n = 0; n < 10; ++n) {\\012            // it is possible but not safe to move 'int i = 0;' here\\012            do_something(&i);\\012        }\\012    }\\012}\\012When you see this message it is always safe to reduce the variable scope 1 level.`
+            },
+            'severity': 'style',
+            'testid': 'variableScope',
+            'trace': null,
+            'type': 'Issue'
+          },
+          {
+            'customfields': null,
+            'cwe': null,
+            'location': {
+              'file': {
+                'abspath': null,
+                'givenpath': 'source/father.c',
+                'hash_': null
+              },
+              'function': null,
+              'point': {
+                'column': 0,
+                'line': 77
+              },
+              'range_': null
+            },
+            'message': {
+              'text': `The scope of the variable 'seconds' can be reduced.`
+            },
+            'notes': {
+              'text': `The scope of the variable 'seconds' can be reduced. Warning: Be careful when fixing this message, especially when there are inner loops. Here is an example where cppcheck will write that the scope for 'i' can be reduced:\\012void f(int x)\\012{\\012    int i = 0;\\012    if (x) {\\012        // it's safe to move 'int i = 0;' here\\012        for (int n = 0; n < 10; ++n) {\\012            // it is possible but not safe to move 'int i = 0;' here\\012            do_something(&i);\\012        }\\012    }\\012}\\012When you see this message it is always safe to reduce the variable scope 1 level.`
+            },
+            'severity': 'style',
+            'testid': 'variableScope',
+            'trace': null,
+            'type': 'Issue'
+          },
+          {
+            'customfields': null,
+            'cwe': null,
+            'location': {
+              'file': {
+                'abspath': null,
+                'givenpath': 'source/father.c',
+                'hash_': null
+              },
+              'function': null,
+              'point': {
+                'column': 0,
+                'line': 114
+              },
+              'range_': null
+            },
+            'message': {
+              'text': 'Uninitialized variable: readbuffer_active'
+            },
+            'notes': null,
+            'severity': 'error',
+            'testid': 'uninitvar',
+            'trace': null,
+            'type': 'Issue'
+          },
+          {
+            'customfields': null,
+            'cwe': null,
+            'location': {
+              'file': {
+                'abspath': null,
+                'givenpath': 'source/main.c',
+                'hash_': null
+              },
+              'function': null,
+              'point': {
+                'column': 0,
+                'line': 14
+              },
+              'range_': null
+            },
+            'message': {
+              'text': 'Uninitialized variable: sleepy_children'
+            },
+            'notes': null,
+            'severity': 'error',
+            'testid': 'uninitvar',
+            'trace': null,
+            'type': 'Issue'
+          },
+          {
+            'customfields': null,
+            'cwe': null,
+            'location': {
+              'file': {
+                'abspath': null,
+                'givenpath': 'source/main.c',
+                'hash_': null
+              },
+              'function': null,
+              'point': {
+                'column': 0,
+                'line': 14
+              },
+              'range_': null
+            },
+            'message': {
+              'text': 'Uninitialized variable: active_children'
+            },
+            'notes': null,
+            'severity': 'error',
+            'testid': 'uninitvar',
+            'trace': null,
+            'type': 'Issue'
+          },
+          {
+            'customfields': null,
+            'cwe': null,
+            'location': {
+              'file': {
+                'abspath': null,
+                'givenpath': 'source/sleepy_children.c',
+                'hash_': null
+              },
+              'function': null,
+              'point': {
+                'column': 0,
+                'line': 30
+              },
+              'range_': null
+            },
+            'message': {
+              'text': `The scope of the variable 'time_to_sleep' can be reduced.`
+            },
+            'notes': {
+              'text': `The scope of the variable 'time_to_sleep' can be reduced. Warning: Be careful when fixing this message, especially when there are inner loops. Here is an example where cppcheck will write that the scope for 'i' can be reduced:\\012void f(int x)\\012{\\012    int i = 0;\\012    if (x) {\\012        // it's safe to move 'int i = 0;' here\\012        for (int n = 0; n < 10; ++n) {\\012            // it is possible but not safe to move 'int i = 0;' here\\012            do_something(&i);\\012        }\\012    }\\012}\\012When you see this message it is always safe to reduce the variable scope 1 level.`
+            },
+            'severity': 'style',
+            'testid': 'variableScope',
+            'trace': null,
+            'type': 'Issue'
+          },
+          {
+            'customfields': null,
+            'cwe': null,
+            'location': {
+              'file': {
+                'abspath': null,
+                'givenpath': 'source/sleepy_children.c',
+                'hash_': null
+              },
+              'function': null,
+              'point': {
+                'column': 0,
+                'line': 28
+              },
+              'range_': null
+            },
+            'message': {
+              'text': 'Unused variable: readbuffer_sleepy'
+            },
+            'notes': null,
+            'severity': 'style',
+            'testid': 'unusedVariable',
+            'trace': null,
+            'type': 'Issue'
+          },
+          {
+            'customfields': {
+              'verbose': `Cppcheck cannot find all the include files. Cppcheck can check the code without the include files found. But the results will probably be more accurate if all the include files are found. Please check your project's include directories and add all of them as include directories for Cppcheck. To see what files Cppcheck cannot find use --check-config.`
+            },
+            'failureid': 'missingIncludeSystem',
+            'location': null,
+            'message': {
+              'text': 'Cppcheck cannot find all the include files (use --check-config for details)'
+            },
+            'type': 'Failure'
+          }
+        ]
+      },
+      'report': {
+        'analysis_id': 1,
+        'id': 1,
+        'results': {
+          'errors': 3,
+          'styles': 7,
+          'warnings': 0
+        }
+      },
+      'version_id': 1
+    },
+    {
+      'analyzer_id': 2,
+      'id': 1,
+      'raw': {
+        'customfields': null,
+        'metadata': {
+          'file_': null,
+          'generator': {
+            'name': 'outro',
+            'version': '2.22'
+          },
+          'stats': null,
+          'sut': null
+        },
+        'results': []
+      },
+      'report': {
+        'id': 2,
+        'analyzer_id': 1,
+        'results': {
+          'styles': 10,
+          'warnings': 3,
+          'errors': 4
+        }
+      },
+      'version_id': 2
+    }
+  ],
+  selectedAnalyzer: 1
+}
+
+const getters = {
+  [getterNames.analizers]: (state) => {
+    return state.analysis.map((analizer) => {
+      return {
+        id: analizer.analyzer_id,
+        name: analizer.raw.metadata.generator.name,
+        version: analizer.raw.metadata.generator.version
+      }
+    })
+  },
+  [getterNames.reports]: (state) => {
+    return state.analysis.filter((analyzer) => {
+      return analyzer.analyzer_id === state.selectedAnalyzer
+    }).map((analizer) => {
+      return analizer.report.results
+    })[0]
+  },
+  [getterNames.errorsList]: (state) => {
+    return state.analysis.filter((analyzer) => analyzer.analyzer_id === state.selectedAnalyzer).map((analyzer) => analyzer.raw.results)[0]
+  }
+}
+
+const actions = {
+  async [actionTypes.SET_SELECTED] ({commit, getters, state}, id) {
+    commit(mutationTypes.STORE_SELECTED, id)
+  }
+}
+
+const mutations = {
+  [mutationTypes.STORE_SELECTED] (state, id) {
+    state.selectedAnalyzer = id
+  }
+}
+
+export default {
+  state,
+  getters,
+  actions,
+  mutations
+}
diff --git a/src/store/modules/packages.js b/src/store/modules/packages.js
index a85b18f..1bd03b2 100644
--- a/src/store/modules/packages.js
+++ b/src/store/modules/packages.js
@@ -1,32 +1,143 @@
-import api from '../../api/packages'
+// import api from '../../api/packages'
 import * as actionTypes from '../actionTypes'
 import * as getterNames from '../getterNames'
 import * as mutationTypes from '../mutationsTypes'
 
+// const mockedPackages = [
+//   {
+//     name: 'example1',
+//     last_version: '0.1'
+//   },
+//   {
+//     name: 'foo1',
+//     last_version: '0.2'
+//   },
+//   {
+//     name: 'example2',
+//     last_version: '0.3'
+//   }
+// ]
+
+const mockedPackages = [
+  {
+    name: 'Fedora Package',
+    version: '0.3.8',
+    upstream: 'http://www.google.com',
+    lastUpdate: '17/09/2017',
+    last_version: '0.1',
+    versions: [
+      {analysis: [
+        {analyzer_id: '2'}
+      ],
+        number: '2',
+        package_id: '1'
+      }
+    ]
+  },
+  {
+    name: 'Pacote de Dados',
+    version: '0.3.8',
+    upstream: 'http://www.google.com',
+    lastUpdate: '17/09/2017',
+    last_version: '0.2',
+    versions: [
+      {analysis: [
+        {analyzer_id: '3'}
+      ],
+        number: '2',
+        package_id: '1'
+      }
+    ]
+  },
+  {
+    name: 'Teste',
+    version: '0.3.8',
+    upstream: 'http://www.google.com',
+    lastUpdate: '17/09/2017',
+    last_version: '0.3',
+    versions: [
+      {analysis: [
+        {analyzer_id: '1'}
+      ],
+        number: '2',
+        package_id: '1'
+      }
+    ]
+  }
+]
+
 const state = {
-  allPackages: []
+  allPackages: mockedPackages,
+  filteredPackages: {}
 }
 
 const getters = {
   [getterNames.allPackages]: (state) => {
     return state.allPackages
+  },
+  [getterNames.filteredPackages]: (state) => {
+    return state.filteredPackages
   }
 }
 
 const actions = {
-  async [actionTypes.FETCH_PACKAGES] ({commit, getters, state}) {
-    let { data } = await api.get()
+  async [actionTypes.FETCH_PACKAGES] ({commit, getters, state}, search) {
+    // let { data } = await api.get()
+    console.log(`action: ${search}`)
+    let data = []
+    if (!search) {
+      data = mockedPackages
+    } else {
+      data = mockedPackages.filter((pkg) => {
+        return pkg.name.includes(search)
+      })
+    }
     commit(mutationTypes.STORE_PACKAGES, data)
+
+    if (data.length === 0) {
+      return false
+    } else {
+      return true
+    }
+  },
+  async [actionTypes.FILTERED_PACKAGES] ({commit, getters, state}, search) {
+    commit(mutationTypes.FILTER_PACKAGES, search)
   }
 }
 
 const mutations = {
   [mutationTypes.STORE_PACKAGES] (state, data) {
-    state.allPackages = data.packages.map((pkg) => {
+    state.allPackages = data.map((pkg) => {
+      return {
+        package_id: pkg.versions[0].package_id,
+        name: pkg.name,
+
+        last_version: pkg.versions[0].number,
+        fetcher_id: pkg.fetcher_id,
+        analyzer_id: pkg.versions[0].analysis[0].analyzer_id
+      }
+    })
+  },
+  [mutationTypes.FILTER_PACKAGES] (state, search) {
+    state.filtered = state.allPackages.map((pkg) => {
+      return {
+        name: pkg.name,
+        last_version: pkg.last_version
+      }
+    }).filter((pkg) => {
+      return pkg.name.includes(search)
+    })
+  },
+  [mutationTypes.FILTER_PACKAGES] (state, search) {
+    state.filtered = state.allPackages.map((pkg) => {
       return {
         name: pkg.name,
-        last_version: pkg.versions[0].number
+        last_version: pkg.last_version,
+        fetcher_id: pkg.fetcher_id,
+        analyzer_id: pkg.versions[0].analysis[0].analyzer_id
       }
+    }).filter((pkg) => {
+      return pkg.name.includes(search)
     })
   }
 }
diff --git a/src/store/mutationsTypes.js b/src/store/mutationsTypes.js
index fca80de..f2ba8b2 100644
--- a/src/store/mutationsTypes.js
+++ b/src/store/mutationsTypes.js
@@ -1 +1,4 @@
+// Packages
 export const STORE_PACKAGES = 'STORE_PACKAGES'
+export const STORE_SELECTED = 'STORE_SELECTED'
+export const FILTER_PACKAGES = 'FILTER_PACKAGES'
diff --git a/test/unit/karma.conf.js b/test/unit/karma.conf.js
index 8e4951c..560de5b 100644
--- a/test/unit/karma.conf.js
+++ b/test/unit/karma.conf.js
@@ -14,7 +14,7 @@ module.exports = function (config) {
     browsers: ['PhantomJS'],
     frameworks: ['mocha', 'sinon-chai', 'phantomjs-shim'],
     reporters: ['spec', 'coverage'],
-    files: ['./index.js'],
+    files: ['../../node_modules/babel-polyfill/dist/polyfill.js', './index.js'],
     preprocessors: {
       './index.js': ['webpack', 'sourcemap']
     },
diff --git a/test/unit/specs/Home.spec.js b/test/unit/specs/Home.spec.js
new file mode 100644
index 0000000..a2f24a9
--- /dev/null
+++ b/test/unit/specs/Home.spec.js
@@ -0,0 +1,11 @@
+import Vue from 'vue'
+import App from '../../../src/App.vue'
+
+describe('App.vue', () => {
+  it('should render correct contents to navbar title', () => {
+    const Constructor = Vue.extend(App)
+    const vm = new Constructor().$mount()
+    expect(vm.$el.querySelector('#app > nav > a > h2').textContent)
+      .to.equal('Kiskadee')
+  })
+})

